import { Space, Table, Button, Popconfirm, notification } from 'antd';
import React, { useState, useEffect } from 'react';
import styles from '../policiesIssued.less'
import {
    deleteTaskOptions, taskOptionsList, getIotDeviceType, algorithmList, getEquipmentInfo
} from '@/services/intelligence/api';
import AddModal from './AddModal'
const VectorData = props => {
    const [treeLoading, setTreeLoading] = useState(false);// 弹窗显示
    const [flag, setFlag] = useState(0); // 更新list
    const [loading, setLoading] = useState([]); // 更新状态
    const [type, setType] = useState(''); // 弹窗类型
    const [solutionNames, setSolutionNames] = useState('');
    const [formObj, setFormObj] = useState({ user: 'admin', password: 'geoserver' });
    const [tileData, setTileData] = useState([]); // table表格数据
    const [visible, setVisible] = useState(false); // 弹窗
    const [deviceType, setDeviceType] = useState([]); //设备类型列表
    const columns = [
        {
            title: '序号',
            dataIndex: 'serviceName',
            key: 'serviceName',
            align: 'center'
        },
        {
            title: '方案名称',
            dataIndex: 'GISServerIP',
            key: 'GISServerIP',
            align: 'center'
        },
        {
            title: '算法名称',
            dataIndex: 'GISServerPort',
            key: 'GISServerPort',
            align: 'center'
        },
        {
            title: '设备类型',
            dataIndex: 'GISServerProjectName',
            key: 'GISServerProjectName',
            align: 'center'
        },
        {
            title: '设备编码',
            dataIndex: 'publishTime',
            key: 'publishTime',
            align: 'center'
        },
        {
            title: '指标名称',
            dataIndex: 'publishTime',
            key: 'publishTime',
            align: 'center'
        },
        {
            title: '预测间隔',
            dataIndex: 'publishTime',
            key: 'publishTime',
            align: 'center'
        },
        {
            title: '首次执行时间',
            dataIndex: 'publishTime',
            key: 'publishTime',
            align: 'center'
        },
        {
            title: '描述',
            dataIndex: 'publishTime',
            key: 'publishTime',
            align: 'center'
        },
        {
            title: '编辑',
            align: 'center',
            render: (text, record, index) => (
                <Space>
                  
                    <div onClick={e => e.stopPropagation()}>
                        <Popconfirm
                            title="是否删除该矢量数据？"
                            okText="确认"
                            cancelText="取消"
                            onConfirm={() => {
                                delConfirm(record);
                            }}
                        >
                            <Button size="small" danger>
                                删除
                            </Button>
                        </Popconfirm>
                    </div>
                </Space>
            ),
        },

    ];


 
    const onSubmit = prop => {
        setVisible(false);
        setFlag(flag+1)
    };
    const delConfirm = (record) => {
  
   
    }
    const handleAdd = () => {
        setType('add');
        setVisible(true);
    }
    useEffect(() => {
        renderTile();
    }, [flag]);
    // 获取瓦片数据配置数据
    const renderTile = () => {
        const getIotDevice = getIotDeviceType()
        const algorithm = algorithmList()
        const taskOption = taskOptionsList()
        Promise.all([getIotDevice, algorithm, taskOption]).then(res => {
            res[0].getMe && res[0].getMe.length && setDeviceType(res[0].getMe)
            res[2].getMe && res[2].getMe.length && setTileData(res[2].getMe)
            setTreeLoading(false)
        }).catch(err => {
            setTreeLoading(false)
        })
    };



    return (
        <>
            <div className={styles.tileBtn}>
                <Button type="primary" onClick={() => {
                    handleAdd();
                }} >
                    新增
                </Button>
            </div>
            <Table
                columns={columns}
                dataSource={tileData}
                bordered
                rowKey="createTime"
                scroll={{ y: 400 }}
                pagination={{
                    showTotal: (total, range) =>
                        `第${range[0]}-${range[1]} 条/共 ${total} 条`

                }}
            >
            </Table>
            <AddModal
                visible={visible}
                onCancel={() => setVisible(false)}
                callBackSubmit={onSubmit}
                type={type}
                deviceType={deviceType}
                formObj={formObj}
            />
        </>
    )
}
export default VectorData