import React, { useState, useEffect } from 'react';
import { Form, Modal, Input, Select, notification, DatePicker, Spin } from 'antd';
import styles from '../policiesIssued.less'
// import moment from 'moment';
// import locale from 'antd/es/date-picker/locale/zh_CN';
// import 'moment/locale/zh-cn';

import moment from 'moment'
import locale from 'antd/lib/date-picker/locale/zh_CN'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')
import {
  getEquipmentInfo
} from '@/services/intelligence/api';


const { RangePicker } = DatePicker;
const { TextArea } = Input;
const AddModal = props => {
  const { callBackSubmit = () => { }, type, formObj, visible, deviceType } = props;
  const [loading, setLoading] = useState(false);
  const [isloading, setIsLoading] = useState(false);
  const [deviceCodes, setDeviceCode] = useState([]); //设备编码列表
  const [timeType, setTimeType] = useState(['分钟', '小时', '天']);
  const [intervalType, setIntervalType] = useState('分钟')
  const [form] = Form.useForm();
  const { Item } = Form;
  // 提交
  const onSubmit = () => {
    form.validateFields().then(validate => {
      if (validate) {
        let obj = form.getFieldsValue();
        let DateFrom = moment(obj.Date[0]).format('YYYY-MM-DD')
        let DateTo = moment(obj.Date[1]).format('YYYY-MM-DD')
        setLoading(true);

        if (type === 'add') {

        } else if (type === 'edit') {
          handleEdit();
        }
      }
    });
  };

  const handleEdit = () => {
    // SetServiceConfig({
    //   servicename: serviceName,
    //   terminalType: 'base',
    //   isBaseMap: true,
    //   jsonCfg: JSON.stringify(query)
    // })
    //   .then(res => {
    //     setLoading(false);
    //     if (res.success) {
    //       form.resetFields();
    //       callBackSubmit();
    //       notification.success({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑成功',
    //       });
    //     } else {
    //       notification.error({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑失败',
    //       });
    //     }
    //   })
    //   .catch(err => setLoading(false));
  };

  const onFinish = value => { };
  useEffect(() => {
    switch (type) {
      case 'add':
        deviceType.length && getDeviceCode(deviceType[0].DeviceType)
        break;
      case 'edit':
        form.setFieldsValue({ ...formObj });
        break;
      default:
        break;
    }
  }, [visible]);



  const getDeviceCode = (type) => {
    setLoading(false)
    getEquipmentInfo(type).then(respone => {
      respone.getMe[0].DeviceList.length && setDeviceCode(respone.getMe[0].DeviceList)
      form.setFieldsValue({
        deviceType: deviceType[0].DeviceType,
        deviceCode: respone.getMe[0].DeviceList[0].Code
      });
      setLoading(false)
    })
  }
  const layout = {
    layout: 'horizontal',
    labelCol: {
      span: 4,
    },
    wrapperCol: {
      span: 16,
    },
  };
  //选择设备类型
  const handleDeviceType = (value) => {
    getDeviceCode(value)
  }
  const handleIntervalType = (value) => {
    setIntervalType(value)
  }

  return (

    <Modal
      title={`${type === 'add' ? '元数据发布' : '编辑'}`}
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: '150px' }}
      width="700px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      {...props}
      onOk={() => onSubmit()}
      confirmLoading={loading}
      forceRender={true}
      getContainer={false}
    >
      <Spin spinning={isloading} delay={300}>
        {visible && (
          <Form form={form} {...layout} onFinish={onFinish}>
            <Item
              label="任务名称"
              name="TaskName"
              rules={[{ required: true, message: '请输入任务名称' }]}
            >
              <Input placeholder="请输入任务名称" allowClear />
            </Item>
            <Item
              label="场景"
              name="scene"
              rules={[{ required: true, message: '请选择场景' }]}
            >
              <Select >
                {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
              </Select>
            </Item>

            <Item
              label="策略名称"
              name="strategy"
            // rules={[{ required: true, message: '请选择策略名称' }]}
            >
              <Select >
                {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
              </Select>
            </Item>
            <Item
              label="类型"
              name="type"
              rules={[{ required: true, message: '请选择类型' }]}
            >
              <Select>
                <Select.Option value='水龄预测'>水龄预测</Select.Option>
                <Select.Option value='二供泵房'>二供泵房</Select.Option>
              </Select>
            </Item>
            <Item
              label="设备类型"
              name="deviceType"
              rules={[{ required: true, message: '请输入设备类型' }]}
            >
              <Select onChange={handleDeviceType} >
                {deviceType.length ? deviceType.map((item, index) => { return <Select.Option key={index} value={item.DeviceType}>{item.DeviceType}</Select.Option> }) : ''}
              </Select>
            </Item>
            <Item
              label="设备编码"
              name="deviceCode"
              rules={[{ required: true, message: '请选择设备编码' }]}
            >
              <Select>
                {deviceCodes.length ? deviceCodes.map((item, index) => { return <Select.Option key={index} value={item.PointAddressID}>{item.Code}</Select.Option> }) : ''}
              </Select>
            </Item>

            <Item
              label="间隔(Cron)"
              name="Interval"
              rules={[{ required: true, message: '请输入间隔' }]}
            >
              <div className={styles.predict}>
                <Input placeholder="请输入间隔" allowClear />
                <a className={styles.corn} target="view_window" href="https://cron.qqe2.com/">cron在线生成</a>
              </div>
            </Item>
            <Item
              label="首次预测时间"
              name="Date"
              rules={[{ required: true, message: '请选择首次预测时间' }]}
            >

              <RangePicker locale={locale}
                style={{ width: '100%' }} />
            </Item>
            <Item
              label="预测间隔"
              rules={[{ required: true, message: '请输入预测间隔' }]}
            >
              <div className={styles.predict}></div>
              <Input style={{ width: '70%' }} placeholder="请输入预测间隔" allowClear />
              <Select style={{ marginLeft: '0.5rem', width: '28%' }} onChange={handleIntervalType} value={intervalType}>
                {timeType.length ? timeType.map((item, index) => { return <Select.Option key={index} value={item}>{item}</Select.Option> }) : ''}
              </Select>
            </Item>

            <Item
              label="描述"
              name="dec"
            >
              <TextArea placeholder="可输入描述信息" rows={4} allowClear />
            </Item>
          </Form>
        )}
      </Spin>

    </Modal>
  );
};
export default AddModal;
