import React, { useState, useEffect } from 'react';
import { Form, Modal, Input, Select, notification, DatePicker, Spin } from 'antd';
import styles from './taskScheduling.less'
// import moment from 'moment';
// import locale from 'antd/es/date-picker/locale/zh_CN';
// import 'moment/locale/zh-cn';

import moment from 'moment'
import locale from 'antd/lib/date-picker/locale/zh_CN'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')
import {
  getEquipmentInfo
} from '@/services/intelligence/api';


const { RangePicker } = DatePicker;
const { TextArea } = Input;
const AddModal = props => {
  const { callBackSubmit = () => { }, type, formObj, visible, deviceType } = props;
  const [loading, setLoading] = useState(false);
  const [isloading, setIsLoading] = useState(false);
  const [deviceCodes, setDeviceCode] = useState([]); //设备编码列表
  const [timeType, setTimeType] = useState(['分钟', '小时', '天']);
  const [intervalType, setIntervalType] = useState('分钟')
  const [form] = Form.useForm();
  const { Item } = Form;
  // 提交
  const onSubmit = () => {
    form.validateFields().then(validate => {
      if (validate) {
        let obj = form.getFieldsValue();
        let DateFrom = moment(obj.Date[0]).format('YYYY-MM-DD')
        let DateTo = moment(obj.Date[1]).format('YYYY-MM-DD')
        setLoading(true);

        if (type === 'add') {

        } else if (type === 'edit') {
          handleEdit();
        }
      }
    });
  };

  const handleEdit = () => {
    // SetServiceConfig({
    //   servicename: serviceName,
    //   terminalType: 'base',
    //   isBaseMap: true,
    //   jsonCfg: JSON.stringify(query)
    // })
    //   .then(res => {
    //     setLoading(false);
    //     if (res.success) {
    //       form.resetFields();
    //       callBackSubmit();
    //       notification.success({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑成功',
    //       });
    //     } else {
    //       notification.error({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑失败',
    //       });
    //     }
    //   })
    //   .catch(err => setLoading(false));
  };

  const onFinish = value => { };
  useEffect(() => {
    switch (type) {
      case 'add':
        form.setFieldsValue({ ...formObj });
        break;
      case 'edit':
        form.setFieldsValue({ ...formObj });
        break;
      default:
        break;
    }
  }, [visible]);




  const layout = {
    layout: 'horizontal',
    labelCol: {
      span: 5,
    },
    wrapperCol: {
      span: 16,
    },
  };



  return (

    <Modal
      title={`${type === 'add' ? '元数据发布' : '编辑'}`}
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: '150px' }}
      width="700px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      {...props}
      onOk={() => onSubmit()}
      confirmLoading={loading}
      forceRender={true}
      getContainer={false}
    >
      <Spin spinning={isloading} delay={300}>
        {visible && (
          <Form form={form} {...layout} onFinish={onFinish}>
            <Item
              label="任务名称"
              name="TaskName"
              rules={[{ required: true, message: '请输入任务名称' }]}
            >
              <Input placeholder="请输入任务名称" allowClear />
            </Item>
            <Item
              label="方案类型"
              name="type"
              rules={[{ required: true, message: '请选择类型' }]}
            >
              <Select>
                <Select.Option value='水龄预测'>水龄预测</Select.Option>
                <Select.Option value='二供泵房'>二供泵房</Select.Option>
              </Select>
            </Item>
            <Item
              label="方案名称"
              name="strategy"
            >
              <Select >
                {/* {workList.length ? workList.map((item, index) => { return <Option key={index} value={item.name}>{item.name}</Option> }) : ''} */}
              </Select>
            </Item>
            <Item
              label="调度间隔(Cron)"
              name="Interval"
              rules={[{ required: true, message: '请输入间隔' }]}
            >
              <div className={styles.predict}>
                <Input placeholder="请输入间隔" allowClear />
                <a className={styles.corn} target="view_window" href="https://cron.qqe2.com/">cron在线生成</a>
              </div>
            </Item>       
            <Item
              label="描述"
              name="dec"
            >
              <TextArea placeholder="可输入描述信息" rows={4} allowClear />
            </Item>
          </Form>
        )}
      </Spin>

    </Modal>
  );
};
export default AddModal;
