import { Space, Table, Button, Popconfirm, notification } from 'antd';
import React, { useState, useEffect } from 'react';
import styles from './taskScheduling.less'
import {
    deleteTaskOptions, taskOptionsList, getIotDeviceType, algorithmList, getEquipmentInfo
} from '@/services/intelligence/api';
import AddModal from './AddModal'
const VectorData = props => {
    const [treeLoading, setTreeLoading] = useState(false);// 弹窗显示
    const [tileData, setTileData] = useState([]); // table表格数据
    const [visible, setVisible] = useState(false); // 弹窗
    const [deviceType, setDeviceType] = useState([]); //设备类型列表
    const [flag, setFlag] = useState(0); // 更新list
    const [type, setType] = useState(''); // 弹窗类型
    const [solutionNames, setSolutionNames] = useState('');
    const [formObj, setFormObj] = useState({});
    const columns = [
        {
            title: '序号',
            dataIndex: 'index',
            key: 'serviceName',
            align: 'center'
        },
        {
            title: '场景名称',
            dataIndex: 'AlgorithmName',
            key: 'AlgorithmName',
            align: 'center'
        },
        {
            title: '任务名称',
            dataIndex: 'TaskName',
            key: 'TaskName',
            align: 'center'
        },
        {
            title: '状态',
            dataIndex: 'Status',
            key: 'Status',
            align: 'center'
        },
        {
            title: '任务类型',
            dataIndex: 'TaskType',
            key: 'TaskType',
            align: 'center'
        },
        {
            title: '间隔',
            dataIndex: 'publishTime',
            key: 'publishTime',
            align: 'center'
        },
        {
            title: '描述',
            dataIndex: 'Describe',
            key: 'Describe',
            align: 'center'
        },
        {
            title: '访问方式',
            dataIndex: 'RequestType',
            key: 'RequestType',
            align: 'center'
        },
        {
            title: '编辑',
            align: 'center',
            render: (text, record, index) => (
                <Space>

                    <div onClick={e => e.stopPropagation()}>
                        <Popconfirm
                            title="是否删除该矢量数据？"
                            okText="确认"
                            cancelText="取消"
                            onConfirm={() => {
                                delConfirm(record);
                            }}
                        >
                            <Button size="small" danger>
                                删除
                            </Button>
                        </Popconfirm>
                    </div>
                </Space>
            ),
        },

    ];



    const onSubmit = prop => {
        setVisible(false);
        setFlag(flag + 1)
    };
    const delConfirm = (record) => {
        let query = {
            serviceName: record.serviceName,
            _version: 9999,
            solution: solutionNames
        }
        deleteVectorService(query).then(res => {
            if (res.success) {
                setFlag(flag + 1)
                notification.success({
                    message: '提示',
                    duration: 3,
                    description: '删除元数据成功',
                });
            } else {
                notification.error({
                    message: '提示',
                    duration: 3,
                    description: '删除元数据失败',
                });
            };
        })
    }
    const handleAdd = () => {
        setType('add');
        setVisible(true);
    }
    useEffect(() => {
        renderTile();
    }, [flag]);
    // 获取任务列表及设备类型及编码数据
    const renderTile = () => {
        setTreeLoading(true)
        const getIotDevice = getIotDeviceType()
        const algorithm = algorithmList()
        const taskOption = taskOptionsList()
        Promise.all([getIotDevice, algorithm, taskOption]).then(res => {
            res[0].getMe && res[0].getMe.length && setDeviceType(res[0].getMe)
            res[2].getMe && res[2].getMe.length && setDeviceType(res[2].getMe)
            setTreeLoading(false)
        }).catch(err => {
            setTreeLoading(false)
        })
    }


    return (
        <>
            <div className={styles.tileBtn}>
                <Button type="primary" onClick={() => {
                    handleAdd();
                }} >
                    新增
                </Button>
            </div>
            <Table
                columns={columns}
                dataSource={tileData}
                bordered
                rowKey="createTime"
                scroll={{ y: 400 }}
                pagination={{
                    showTotal: (total, range) =>
                        `第${range[0]}-${range[1]} 条/共 ${total} 条`

                }}
            >
            </Table>
            <AddModal
                visible={visible}
                onCancel={() => setVisible(false)}
                callBackSubmit={onSubmit}
                type={type}
                deviceType={deviceType}
                formObj={formObj}
                solutionNames={solutionNames}
            />
        </>
    )
}
export default VectorData